QGIS Application - Bug report #5966
Adding values in a field of type "real" in a MSSQL table
2012-07-06 07:24 AM - Franck-Yves DABIN

Status: Closed

Priority: High

Assignee: Tamas Szekeres

Category: Data Provider/MSSQL

Affected QGIS version:1.8.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 15385
Description

Hi,

It seems there be a confusion between scale and size for real fields in Quantum GIS.

For example : When we specify a field in MSSQL of type :
- Decimal

- Size/Precision : 10

-Scale: 2

We can adding values like {xxxxxxxx,xx}

This same field appears in Quantum GIS like :
- Decimal

-Length: 12

- Precision : 10

We can adding values like {xX,XXXXXxxxxx}

Associated revisions

Revision b1efd479 - 2013-07-17 10:51 PM - Jiirgen Fischer

- introduce ggsDoubleToString for format double with maximum precision
- usage in mssql provider fixes #7638
- read precision in mssql provider (fixes #5966)

- commit errors are only shown once

History

#1 - 2012-09-04 11:52 AM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#2 - 2013-01-22 09:16 PM - Nathan Woodrow
- Priority changed from Normal to High

- Assignee set to Tamas Szekeres

#3 - 2013-07-17 01:52 PM - Jiirgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"b1efd47961260f58e3536f1916dab196f3ed8d15".
